List of all members
clan::UniformBufferProvider Class Referenceabstract
clanDisplay Display

Uniform Buffer provider. More...

`#include <uniform_buffer_provider.h>`

## Public Member Functions
Construction
virtual | ~UniformBufferProvider ()
virtual void | create (int size, BufferUsage usage)=0
| Constructs a vertex array buffer. More...
virtual void | create (const void *data, int size, BufferUsage usage)=0
| Create. More...
Operations
virtual void | upload_data (GraphicContext &gc, const void *data, int size)=0
| Uploads data to uniforms buffer. More...
virtual void | copy_from (GraphicContext &gc, TransferBuffer &buffer, int dest_pos, int src_pos, int size)=0
| Copies data from transfer buffer. More...
virtual void | copy_to (GraphicContext &gc, TransferBuffer &buffer, int dest_pos, int src_pos, int size)=0
| Copies data to transfer buffer. More...

## Detailed Description

Uniform Buffer provider.

The documentation for this class was generated from the following file:

- uniform_buffer_provider.h